cURL
curl --request DELETE \
--url https://my.cald.ai/client/api/v1/agents/{agentId} \
--header 'Authorization: <api-key>'import requests
url = "https://my.cald.ai/client/api/v1/agents/{agentId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://my.cald.ai/client/api/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}Agents
Delete an Agent
Delete a specific agent
DELETE
/
agents
/
{agentId}
cURL
An agent can’t be deleted if it’s being used in a campaign, error code 400 will be returned.
Authorizations
Your API key, e.g. caldLiveDe39a3accb206dd615f30d118e519df0
Path Parameters
The agent ID of the agent
Response
Success response with agent details
Whether the agent was successfully deleted, can be either success or failed
⌘I